package com.greenorange.promotion.service.user;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.greenorange.promotion.model.dto.user.UserInfoQueryRequest;
import com.greenorange.promotion.model.entity.UserInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.servlet.http.HttpServletRequest;

/**
* @author 35880
* @description 针对表【user_info(用户基本信息表)】的数据库操作Service
* @createDate 2025-04-24 11:47:37
*/
public interface UserInfoService extends IService<UserInfo> {


    /**
     * 获取查询条件
     */
    QueryWrapper<UserInfo> getQueryWrapper(UserInfoQueryRequest userInfoQueryRequest);


    /**
     * web端用户登录
     */
    String userInfoLogin(String userAccount, String userPassword, HttpServletRequest request);
}
